Skip to main content
PUT
/
packages
/
{package_id}
/
fee
Update package fee configuration
curl --request PUT \
  --url https://api.swoogo.com/api/v1/packages/{package_id}/fee \
  --header 'Content-Type: application/json' \
  --data '
{
  "price": "20.00",
  "conditional_prices": {
    "76": "10.00",
    "77": "5.00"
  }
}
'
{
  "price": "25.00"
}

Path Parameters

package_id
integer
required

The unique identifier of the package

Required range: x >= 1

Body

Fee configuration to update

price
string<decimal>

The base price for the session/package

Example:

"20.00"

conditional_prices
object

Conditional pricing based on registration field selections. Only existing keys can be updated.

Example:
{ "76": "10.00", "77": "5.00" }

Response

Package fee updated successfully

id
integer
required

The unique identifier of the fee

Example:

124

package_id
integer
required

The package ID this fee belongs to

Example:

2

price
string<decimal>
required

The base price for the session/package

Example:

"20.00"

conditional_prices
object
required

Conditional pricing based on registration field selections

Example:
{ "76": "10.00", "77": "5.00" }
session_id
integer

The session ID (only present for session fees)

Example:

73